﻿.koa-date-filter {
    position: relative;
    display: flex;
    align-items: center;
}

.koa-date-filter .show-date-filter::before {
    content: '...'
}

.koa-date-filter .date-filter-ui {
    display: none;
    position: absolute;
    z-index: 1;
    background: #ffffff;
    border: 1px solid #909090;
    border-radius: 10px;
    border-top-left-radius: 0;
    padding: 1em;
    width: 300%;
    height: fit-content;
    top: 100%;
}

.koa-date-filter .date-filter-ui.show {
    display: flex;
    flex-direction: column;
    gap: 0.5em
}

.koa-date-filter .date-filter-ui select,
.koa-date-filter .date-filter-ui input[type=date] {
    width: unset !important;
    background: rgba(0, 0, 0, 0.05);
    color: #212121 !important;
}

.koa-lookup {
    position: relative;
    display: inline-flex;
    align-items: center;
    gap: 1px;
}

.koa-lookup-items {
    display: none;
    position: absolute;
    background: #ffffff;
    z-index: 1;
    min-width: 100%;
    box-shadow: 5px 5px 15px -3px rgba(0, 0, 0, 0.25);
    border-radius: var(--control-radius);
    top: 100%;
}

.koa-lookup-items.show {
    display: block;
}

.koa-lookup-items > li {
    padding: 0.1em 1em;
}

.koa-lookup-items > li:hover,
.koa-lookup-items > li.active {
    background: #00000040;
}

.koa-lookup-dropdown:before {
    font-family: 'Font Awesome 6 Pro';
    content: '\f078';
}